Copy a saved query Generally available; Added in 9.4.0

POST /api/osquery/saved_queries/{id}/copy

Spaces method and path for this operation:

post /s/{space_id}/api/osquery/saved_queries/{id}/copy

Refer to Spaces for more information.

Create a copy of a saved query with a unique name by appending a _copy suffix. If the name already exists, a numeric suffix is added (e.g., _copy_2).

Path parameters

  • id string Required

    The ID of the saved query to copy.

Responses

  • 200 application/json

    Indicates a successful call.

    Hide response attribute Show response attribute object
    • data object Required
      Hide data attributes Show data attributes object
      • created_at string(date-time)
      • created_by string | null
      • created_by_profile_uid string
      • description string

        The saved query description.

      • ecs_mapping object

        Map osquery results columns or static values to Elastic Common Schema (ECS) fields

        Hide ecs_mapping attribute Show ecs_mapping attribute object
        • * object Additional properties
          Hide * attributes Show * attributes object
      • id string Required

        The ID of a saved query.

      • interval integer | string

      • platform string

        Restricts the query to a specified platform. The default is all platforms. To specify multiple platforms, use commas. For example, linux,darwin.

      • query string

        The SQL query you want to run.

      • removed boolean

        Indicates whether the query is removed.

      • saved_object_id string Required
      • snapshot boolean

        Indicates whether the query is a snapshot.

      • timeout integer
      • updated_at string(date-time)
      • updated_by string | null
      • updated_by_profile_uid string
POST /api/osquery/saved_queries/{id}/copy
curl \
 --request POST 'https://<KIBANA_URL>/api/osquery/saved_queries/3c42c847-eb30-4452-80e0-728584042334/copy' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "data": {
    "created_at": "2025-02-26T13:37:30.452Z",
    "created_by": "elastic",
    "description": "Saved query description",
    "ecs_mapping": {
      "host.uptime": {
        "field": "total_seconds"
      }
    },
    "id": "my_saved_query_copy",
    "interval": "60",
    "platform": "linux,darwin",
    "query": "select * from uptime;",
    "removed": false,
    "saved_object_id": "42ba1280-2172-11ee-8523-5765fca79a3c",
    "snapshot": true,
    "timeout": 120,
    "updated_at": "2025-02-26T13:37:30.452Z",
    "updated_by": "elastic"
  }
}